com.jscape.util.reflection

## Class ObjectCreator<T>

- java.lang.Object
- - com.jscape.util.functor.UnaryFunction<java.lang.Class,T>
  - - com.jscape.util.reflection.ObjectCreator<T>

- All Implemented Interfaces:
    java.io.Serializable

      public class ObjectCreator<T>
      extends com.jscape.util.functor.UnaryFunction<java.lang.Class,T>

  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jscape.util.functor.UnaryFunction

      `com.jscape.util.functor.UnaryFunction.Chain<T,R,U>, com.jscape.util.functor.UnaryFunction.Constant<T,U>, com.jscape.util.functor.UnaryFunction.Evaluator<V,R>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectCreator()`
    `ObjectCreator(java.lang.Class[] argTypes, java.lang.Object[] args)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `create(java.lang.Class aClass)`
    `static <T> T` | `create(java.lang.Class aClass, java.lang.Class[] argTypes, java.lang.Object... args)`
    `static <T> T` | `create(java.lang.String aClass)`
    `T` | `evaluate(java.lang.Class value)`

    - ### Methods inherited from class com.jscape.util.functor.UnaryFunction

      `constant, then`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectCreator

          public ObjectCreator(java.lang.Class[] argTypes,
                               java.lang.Object[] args)

    - #### ObjectCreator

          public ObjectCreator()

  - ### Method Detail

    - #### create

          public static <T> T create(java.lang.Class aClass,
                                     java.lang.Class[] argTypes,
                                     java.lang.Object... args)
                              throws ReflectionException

      Throws:
        `ReflectionException`

    - #### create

          public static <T> T create(java.lang.Class aClass)
                              throws ReflectionException

      Throws:
        `ReflectionException`

    - #### create

          public static <T> T create(java.lang.String aClass)
                              throws ReflectionException

      Throws:
        `ReflectionException`

    - #### evaluate

          public T evaluate(java.lang.Class value)

      Specified by:
        `evaluate` in class `com.jscape.util.functor.UnaryFunction<java.lang.Class,T>`
      Parameters:
        `value` - value
      Returns:
        R instance

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved